export default {
  getEWalletBalance: state => {
    return state.eWalletBalance.toString().replace(/(\d)(?=(\d\d\d)+(?!\d))/g, '$1,')
  },
  getEwalletBalanceInt: state => {
    return state.eWalletBalance
  },
  getTransactionHistory: state => {
    return state.eWalletTransactionHistory
  },
  getEWalletRecord: state => {
    return state.eWalletRecord
  },
  getEwalletReprintData: state => {
    return state.eWalletReprintData
  },
  getEWalletFundWithdrawalStep: state => {
    return state.ewalletFundWithdrawalStep
  },
  getEWalletFundStep: state => {
    return state.ewalletFundStep
  },
  getEwalletActivation0Step: state => {
    return state.eWalletActivation0Step
  },
  getStep1ClassObject: state => {
    return state.classObject1
  },
  getStep2ClassObject: state => {
    return state.classObject2
  },
  getStep3ClassObject: state => {
    return state.classObject3
  },
  getMobileCountriesCodes: state => {
    return state.listMobileCountriesCodes
  },
  getMobileVerificationStatus: state => {
    return state.mobileVerificationStatus
  },
  getMobileVerificationMessage: state => {
    return state.mobileVerificationMessage
  },
  getMobileNumber: state => {
    return state.eWalletMobileNumber
  },
  getSelectedCountryCode: state => {
    return state.eWalletSelectedCountryCode
  },
  getMobileConfirmationStatus: state => {
    return state.mobileConfirmationStatus
  },
  getMobileConfirmationMessage: state => {
    return state.mobileConfirmationMessage
  },
  getEwalletFundTransferInfo: state => {
    return state.eWalletFundTransferInfo
  },
  getEwalletFundTransferResponseInfo: state => {
    return state.eWalletFundTransferResponseInfo
  },
  getEwalletId: state => {
    return state.eWalletId
  },
  getEwalletUserId: state => {
    return state.eWalletUserId
  },
  getEwalletCurrencyId: state => {
    return state.eWalletCurrencyId
  },
  getEwalletTransactionTypeId: state => {
    return state.eWalletTransactionTypeId
  },
  getEwalletFundTransferStatus: state => {
    return state.eWalletFundTransferStatus
  },
  getEwalletFundTransferMessage: state => {
    return state.eWalletFundTransferMessage
  },
  getEwalletFundWithdrawalInfo: state => {
    return state.eWalletFundWithdrawalInfo
  },
  getEwalletTransactionStatus: state => statusId => {
    let ret = ''
    state.eWalletTransactionStatus.forEach(item => {
      if (item.id === statusId) {
        ret = item.title
      }
    })
    return ret
  },
  getDigitCurrency: state => amountOjb => {
    return amountOjb.replace(/(\d)(?=(\d\d\d)+(?!\d))/g, '$1,')
  },
  getEwalletInsufficientFund: state => {
    return state.eWalletInsufficientFundError
  },
  getEwalletRangeFund: state => {
    return state.eWalletRangeFundError
  },
  getEWalletShowModal: state => {
    return state.eWalletShowModal
  },
  getEWalletBankAccountNumber: state => {
    return state.eWalletSelectedBankInfo.bankAccountNumber
  },
  getEwalletBankInfo: state => {
    return state.eWalletBankInfo
  },
  getShowModalProcessType: state => {
    return state.eWalletShowModalProcessType
  },
  getSelectedBankInfo: state => {
    return state.eWalletSelectedBankInfo
  },
  getSelectedMPayInfo: state => {
    return state.eWalletSelectedMPayInfo
  },
  getEwalletSecurityPinModal: state => {
    return state.eWalletForgotSecurityPinModal
  },
  getEwalletSecurityPinInfo: state => {
    return state.eWalletSecurityPinInfo
  },
  getEwalletTabIndex: state => {
    return state.eWalletTabIndex
  },
  getEwalletUserCurrency: state => {
    return state.eWalletUserCurrency
  },
  getTotalTransactionRows: state => {
    return state.totalEwalletTransactionRows
  },
  getCurrentHistoryOffset: state => {
    return state.currentHistoryOffset
  },
  getCurrentRecordOffset: state => {
    return state.currentRecordOffset
  },
  getEwalletPaginationSize: state => {
    return state.eWalletPaginationSize
  },
  getEwalletHistoryDate: state => {
    return state.eWalletHistoryDate
  },
  getEwalletRecordDate: state => {
    return state.eWalletRecordDate
  },
  getEwalletPaymentType: state => {
    return state.eWalletPaymentType
  },
  getEwalletAutowithdrawalStatus: state => {
    return state.eWalletAutoWithdrawalStatus
  },
  getEwalletStatus: state => {
    return state.eWalletActiveStatus
  },
  getEwalletSelectedPayment: state => {
    return state.eWalletSelectedPayment
  },
  getResendCodeStatus: state => {
    return state.resendCode
  },
  getTemporaryMobilePhone: state => {
    return state.tempMobilePhone
  },
  getSearchedIboId: state => {
    return state.searchedIboId
  },
  getEwalletCurrencyCode: state => {
    return state.eWalletCurrencyCode
  },
  getEWalletDetails: state => state.eWalletDetails,
}
